Subject: Re: B19, performance using fopen()/fclose() on FAT16
From: [email-masked] (Will Mooar)

26 Dec 1998 02:26:20 -0800
Message-ID: <001e01be30b1$4ad26680$e6884fd1.cygnus.gnu-win32@monster>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "John Blanton" <[email-masked]>
Cc: <[email-masked]>

Just a thought - do you have any form of virus checker on your system?  If
so, try disabling it before running the tests.

I found that NAV _severely_ impacted performance when compiling.

Kind regards - Will.
_______________________________
Will Mooar
System Analyst
[email-masked]

----- Original Message -----
From: Mumit Khan <[email-masked]>
To: John Blanton <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, 25 December 1998 09:18
Subject: Re: B19, performance using fopen()/fclose() on FAT16

>John Blanton <[email-masked]> writes:
>> Conducting performance tests of several porting tools we noticed
>> dramatically poor performance for the following case using FAT16 on
>> Windows NT:
>
>Thanks for the testcase and the timing results. Very interesting. I
>would expect a significant slowdown using Cygwin, but didn't expect
>this bad.
>
>Here's what I get on Ppro 200, 128MB, NT SP3/FAT, no CYGWIN env var,
>all binary mounts:
>
>Cygwin B20:
>    real    1m39.00s
>    user    0m29.00s
>    sys     1m4.00s
>
>Specifying CYGWIN=nontea drops the time a few seconds.
>
>MSVC
>    real    0m15.00s
>    user    0m3.00s
>    sys     0m10.00s
>
>UWIN
>    real    0m53.00s
>    user    0m17.00s
>    sys     0m36.00s
>
>> GNU-Win32           398.3
>> Linux (FAT)                6.2
>> Linux (Linux FS)          6.1
>> U/WIN                      41.0
>> Win32                       14.8
>
>Your Cygwin time is much higher than mine for some reason.
>
>Regards,
>Mumit
>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".